Bug 191584 - [patch] textproc/libtre - fix optimized cflags to work with clang 3.4
Summary: [patch] textproc/libtre - fix optimized cflags to work with clang 3.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-03 16:56 UTC by Radim Kolar
Modified: 2014-08-15 08:59 UTC (History)
1 user (show)

See Also:


Attachments
libtre fixed build (518 bytes, patch)
2014-07-03 16:56 UTC, Radim Kolar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Radim Kolar 2014-07-03 16:56:43 UTC
Created attachment 144376 [details]
libtre fixed build

clang 3.4 returns error if unknown command line option is encoutered
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2014-07-04 00:47:37 UTC
Over to maintainer.
Comment 2 John Marino freebsd_committer 2014-08-14 23:46:28 UTC
maintainer timed out, move to patch ready
Comment 3 commit-hook freebsd_committer 2014-08-15 08:54:43 UTC
A commit references this bug:

Author: marino
Date: Fri Aug 15 08:53:46 UTC 2014
New revision: 364949
URL: http://svnweb.freebsd.org/changeset/ports/364949

Log:
  textproc/libtre: Remove optimization flags clang 3.4 doesn't know

  PR:		191584
  Submitted by:	Radim Kolar
  Approved by:	maintainer timeout (6 weeks)

Changes:
  head/textproc/libtre/Makefile
Comment 4 John Marino freebsd_committer 2014-08-15 08:59:25 UTC
done.